# Celo DApp Gallery

Welcome to the DApp Gallery! Here are some featured examples to help you get started building on Celo.

## [Celo Camp](https://www.celocamp.com/) Projects

### Biscoint DollarSave

[Biscoint](https://biscoint.io) is working on an out-of-the-box [CELO and Celo Dollar hot wallet](https://github.com/Biscoint/celo-hot-wallet) to be used by projects that require automated processing of withdrawals. They also created a cUSD SPV client written in Typescript ([GitHub link](https://github.com/Biscoint/celo-spv))

### Paychant

[Paychant](https://paychant.com) is developing an open source web wallet developed on the Celo blockchain. [GitHub](https://github.com/paychant/)

### Moola

[Moola](https://moola.market) is working on algorithmic money markets on Celo. [GitHub](https://github.com/moolamarket/moola)

### LeafCelo

[LeafCelo](https://leafglobalfintech.com/) is developing [lenrefugee](https://github.com/LeafGlobalFintech/leafcelo.git), a guarantor-backed DeFi lending platform for refugees.

### El Dorado

[El Dorado](https://eldorado.io/) is building "the crypto dollar wallet of LATAM. We are reinventing the way financial products and services are designed, especially for people living in unstable economies. We are going to provide all the services a Bank can offer and more. USD savings accounts and P2P payments/exchange. All powered by Open Blockchains." [GitHub](https://github.com/eldoradoio)

### ReSource Network

The [ReSource Network](http://www.resourcenetwork.co/) is building a resource-based mutual credit blockchain protocol. The initial version is deployed in CELO mainnet on address: [0x39049c02a56c3ecd046f6c2a9be0cffa2bc29c08](https://explorer.celo.org/address/0x39049c02a56c3ecd046f6c2a9be0cffa2bc29c08/transactions), [GitHub](https://github.com/ReSource-Network/Resource-Ethereum)

### Pesabase

An integration of a Celo Dollar (Stablecoin) and Mpesa, showing flows of payment between an Mpesa User and a Celo Blockchain wallet from anywhere in the world. Our aim with Pesabase is to provide African’s with a cheap and social option to remit and pay for goods and services. [Github](https://github.com/Kesholabs/celoBackend), [Android app](https://play.google.com/store/apps/details?id=com.pesabase.app)

### Wallet as a Service

Tangany's custody solution [Wallet as a Service](https://docs.tangany.com/?version=latest) enables you to create and manage HSM-secured wallets and interact with the underlying blockchain. Our API makes it incredibly easy for developers to execute transactions, check details of past transactions or query account balances without any worries about private key safekeeping. For the Celo Camp 2020 we have developed a prototype version of our product that integrates the Celo blockchain. The [demo project](https://github.com/adrianmitter/celo-camp) presents the new features and provides some code snippets to get started.

### impactMarket

[impactMarket](https://github.com/impactMarket) enables any vulnerable community to create its own unconditional basic income system for their beneficiaries, where each one can claim a fixed amount on a regular basis and make payments for free.

### Celo Toolkit by MugglePay

[MugglePay](https://mugglepay.com/) provides a payment SDK for merchants to accept cryptocurrencies. Mugglepay makes crypto payment easy and thousands of merchants are onboarded with MugglePay SDK. For the Celo Camp 2020, we will integrate with cUSD/CELO for payments on Celo blockchain.

[Celo Toolkit](https://celo.mugglepay.com) is the [open source](https://github.com/MugglePay/celo-toolkit) interface for managing Celo accounts on Web. Celo developer might start with a funded Celo account (Testnet) now in 1 minute. Phone number or app downloads are not necessary.

### Dunia Pay Wallet

At Dunia Payment, we are building an electronic wallet that will let people in Sub Saharan Africa send and receive money directly on their phone.The app will use the Celo light client to process transactions faster, even in low internet connection areas common in Africa. The wallet will be built on top of the Celo platform and also using a set of external open source smart contracts. [Github](https://github.com/duniapay/Dunia-Wallet-Celo)

## [Decentralized Impact Incubator](https://blockchainforsocialimpact.com/incubator-winners-2020/) Winners

### Multiply.Charity by Abundance

[Multiply](https://multiply.charity/) the impact of charitable donations by providing liquidity in credit tokens where the legacy financial system fails. Compared to cash donations, like GiveDirectly, this process has two major advantages: The credit tokens 1) fill a demand for liquidity (which banks fail to deliver), thus increasing the incentive to produce goods and services and 2) stay in the local economy longer, resulting in a larger impact (or lower cost overhead) per donation. Early field tests demonstrate up to 20x impact over traditional donations and double the velocity (the rate at which the money is traded) to the US Dollar. [Github](https://github.com/abundance-stack)

### Bienvenir

Decentralized application to help coordinate and improve the impact metric of non-profit organizations that work with migrants in Latin America. [GitHub](https://github.com/nestorbonilla/bienvenir)

## Additional DApps

### Ubeswap

[Ubeswap](https://ubeswap.org/) is a mobile-first DeFi exchange, a mobile compatible fork of Uniswap running on the Celo blockchain. Ubeswap is [open source on GitHub](https://github.com/ubeswap) and available on Safari for iOS and any browser on Android.

### Celo Vote

[Celovote](https://celovote.com/) automatically distributes your stake to preferred validator groups that have high estimated APY (annual percentage yield) and automatically rebalances votes if any of the voted groups fails to maintain high uptime. You retain full custody of your CELO and receive 100% of your rewards.

### Celo Tools

[Celo Tools](https://celotools.com/) is an accessible frontend to the [Celo CLI](../command-line-interface/introduction.md). Anyone and everyone participating in the Celo network should be able to stake and vote on governance proposals, Celo Tools provides this functionality for those without the know-how to access a command line.

### Savings Circle

Savings Circles let you pool funds with your friends to save for large purchases. They are known by a variety of names around the world and are a common way to get liquidity and access to loans without access to formal financial institutions. [Github](https://github.com/celo-org/savings-circle-demo)

### Lovecrypto

[Lovecrypto](https://www.lovecrypto.net/) enables people to earn cUSD to do tasks in their phones. [Github](https://github.com/lucaszsd/LovecryptoAppScreenshots)

## Add your app to this list

_Are you building on Celo? To add your project, please submit a pull request updating this page!_
